curl --request GET \
--url https://api.qovery.com/container/{containerId}/log \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "4aa76065-68b3-41ef-aa1d-46be67012bef",
"created_at": "2022-04-19T15:36:12.024Z",
"message": "<string>",
"pod_name": "app-z4aa76065-57d84cbbdb-xcg8v",
"version": "2bfd61fe45946c74f318050b26210be486c43a39"
}
]
}This will list the last 1000 logs of the container
curl --request GET \
--url https://api.qovery.com/container/{containerId}/log \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "4aa76065-68b3-41ef-aa1d-46be67012bef",
"created_at": "2022-04-19T15:36:12.024Z",
"message": "<string>",
"pod_name": "app-z4aa76065-57d84cbbdb-xcg8v",
"version": "2bfd61fe45946c74f318050b26210be486c43a39"
}
]
}Documentation Index
Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Container ID
List logs
Show child attributes
Was this page helpful?